# Copyright (c) 2008 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: interfaces.py 45207 2010-09-14 14:35:35Z sylvain $

from zope.interface import Interface
from silva.core.services.interfaces import IMemberService, IGroupService


class IPASService(IMemberService, IGroupService):
    """Mark PAS Service Membership.
    """

# BBB
IPASMemberService = IPASService
from silva.core.services.interfaces import ISecretService


class IUserConverter(Interface):
    """Some User can have userid incompatible with Silva SimpleMember.

    This utility can be used to convert them into a compatible one.
    """

    def match(userid):
        """Return true if this userid can be processed by this utility.
        """

    def convert(userid):
        """Return the converted userid.
        """
